> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onset.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List contributors

> Retrieve a paginated list of contributors (workspace members) that can be assigned to releases



## OpenAPI

````yaml https://api.onset.io/v1/openapi.yml get /contributors
openapi: 3.1.0
info:
  title: Onset API
  description: >-
    RESTful API for managing milestones, releases, subscribers, and webhooks in
    Onset workspace.
  version: 1.0.0
  contact:
    name: Onset Support
    url: https://www.onset.io
    email: support@onset.io
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.onset.io/v1
    description: API V1
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: Workspace
    description: Workspace management operations
  - name: Milestones
    description: Milestone management operations
  - name: Projects
    description: Project read operations
  - name: Labels
    description: Label read operations
  - name: Contributors
    description: Contributor read operations
  - name: Releases
    description: Release management operations
  - name: Subscribers
    description: Subscriber management operations
  - name: Subscriber Lists
    description: Subscriber list management operations
  - name: Webhooks
    description: Webhook management operations
  - name: Incoming Webhooks
    description: Incoming webhook management operations
paths:
  /contributors:
    get:
      tags:
        - Contributors
      summary: List contributors
      description: >-
        Retrieve a paginated list of contributors (workspace members) that can
        be assigned to releases
      parameters:
        - name: offset
          in: query
          description: Number of items to skip for pagination (0-based)
          schema:
            type: integer
            minimum: 0
            maximum: 1000
            default: 0
            example: 0
        - name: limit
          in: query
          description: Maximum number of items to return per page
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
            example: 25
      responses:
        '200':
          description: List of contributors retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Contributor'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    Contributor:
      type: object
      properties:
        id:
          type: string
          description: Unique contributor identifier
        name:
          type: string
          nullable: true
          description: Contributor name
        avatar_url:
          type: string
          nullable: true
          description: URL of the contributor's avatar image
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        details:
          type: object
          description: Additional error details
      required:
        - error
  responses:
    BadRequest:
      description: Bad request - Invalid input parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized - Invalid or missing authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````